Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1069294

Summary: zorba fails to build for ARM
Product: [Fedora] Fedora Reporter: Martin Gieseking <martin.gieseking>
Component: zorbaAssignee: Martin Gieseking <martin.gieseking>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dan, jonathan.robie, kmcmartin, martin.gieseking
Target Milestone: ---   
Target Release: ---   
Hardware: arm   
OS: Other   
Whiteboard:
Fixed In Version: zorba-2.9.1-4.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-26 11:53:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 245418    

Description Martin Gieseking 2014-02-24 17:00:03 UTC
The zorba package fails to build for ARM. The generated binary segfaults and therefore also prevents creating additional files during the build process:
https://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2245705

The recent SRPM can be found here:
http://mgieseki.fedorapeople.org/review/zorba-3.0.0-1.fc20.src.rpm

Comment 1 Kyle McMartin 2014-02-24 18:02:25 UTC
Well, that's a build failure on AArch64, not armv7hl like discussed on fedora-arm... that said, we can fix it anyways... but let's focus on the armv7hl fix first if it's still FTBFS there.

I noticed the recent rawhide attempt failed on i686, do you have a recent scratch build log of it failing on armv7hl?

Comment 2 Martin Gieseking 2014-02-24 18:15:31 UTC
Sorry, I pasted a wrong link. Here's a failed scratch build using the latest SRPM referenced above (I haven't committed the changes to the Git repo yet):
https://koji.fedoraproject.org/koji/taskinfo?taskID=6559905

Comment 3 Kyle McMartin 2014-02-24 18:22:43 UTC
No worries... I'll take a look at this tomorrow.

Comment 4 Martin Gieseking 2014-02-26 11:53:45 UTC
Thanks again for tracking down the bug and for providing a patch. The package builds successfully now.

Comment 5 Dan Horák 2014-02-26 14:55:50 UTC
Martin, any objections if I merge f19 branch with f20 Kyle prepared and submit updates in bodhi? We need the updates on ppc and s390 to be on-par with primary arches.

Comment 6 Martin Gieseking 2014-02-26 15:00:56 UTC
Dan, there are no objections from my side. Please feel free to merge the branches as desired.

Comment 7 Fedora Update System 2014-02-26 15:58:50 UTC
zorba-2.9.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/zorba-2.9.1-4.fc19

Comment 8 Fedora Update System 2014-02-26 15:58:59 UTC
zorba-2.9.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zorba-2.9.1-4.fc20

Comment 9 Fedora Update System 2014-03-13 05:07:35 UTC
zorba-2.9.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-03-13 05:09:36 UTC
zorba-2.9.1-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.